This package has been deprecated

    Author message:

    This package is no longer in development

    not-so-shallow

    0.1.4 • Public • Published

    not-so-shallow

    A less shallow only-shallow

    Build Status

    This is just only-shallow but with strict equality for value types.

    Install

    $ npm install --save not-so-shallow
    

    Usage

    let notSoShallow = require('not-so-shallow')
     
    notSoShallow({a: 0}, {a: false}) // false
    notSoShallow({a: 0}, {a: '0'}) // false
    notSoShallow({a: 1}, {a: 1}) // true
    notSoShallow({a: 1, b: 2}, {b: 2, a: 1}) // true

    API

    notSoShallow(a, b)

    Returns true if a and b are the same according to the algorithm, which is explained in the comments of index.js.

    License

    MIT © Juan Soto

    Install

    npm i not-so-shallow

    DownloadsWeekly Downloads

    3,177

    Version

    0.1.4

    License

    MIT

    Last publish

    Collaborators

    • npm